<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\FeedbackBogen;

class SendeFeedbackFragenView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'basis/feedbackbogen/feedbackbogenversendet.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    $this->viewModel->kurs->statusMessage = $this->viewModel->statusMessage;
    $this->viewModel->kurs->toolId = $this->viewModel->toolId;
    $this->viewModel->kurs->backLink = $this->viewModel->backLink;

    return array($this->viewModel->kurs);
  }

  protected function getDefaultExportAdapter()
  {
    return new \ExpKurse();
  }
}